------------------------------------------------------------------------------------
--Name：            220317[简体征服][活动脚本]全球周年庆-征服19周年庆-第一阶段（4.19-5.2）
--Creator:      耿力兀
--Created:     2022-03-17
------------------------------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(232,228)
local player1 = CppScriptMgr:AddSimplePlayer(1055490,232,228,"WonderYun",4003000011,1)
local player2 = CppScriptMgr:AddSimplePlayer(39550,231,234,"GreatFameChest",4003000012,1)
local player3 = CppScriptMgr:AddSimplePlayer(39560,235,231,"GreatJoyChest",4003000013,1)
local player4 = CppScriptMgr:AddSimplePlayer(39570,239,227,"GreatHeroChest",4003000014,1)

player1:SetAction(190);
player1:Say("Welcome to Vast Land Scroll!",2000)
CppScriptMgr:WaitMilSec(2000)

player1:Say("You can enjoy the brilliant landscape of Beyond City as well as win abundant rewards here!",2000)
CppScriptMgr:WaitMilSec(2000)

local effectObj1 = CppScriptMgr:AddEffect("zero8160",231,234)
local effectObj2 = CppScriptMgr:AddEffect("zero8160",235,231)
local effectObj3 = CppScriptMgr:AddEffect("zero8160",239,227)
CppScriptMgr:WaitMilSec(2000)
player2:SetPos(20,30);
player3:SetPos(20,30);
player4:SetPos(20,30);

player1:SetAction(200);
player1:Say("Go to search for chests in Beyond City!",2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:SetDarkScreen(1000);
CppScriptMgr:WaitMilSec(1000)

